Bug 1552664 - installation fails due to missing requirements
Summary: installation fails due to missing requirements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-annex
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-07 13:50 UTC by René Genz
Modified: 2018-03-12 22:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 22:37:33 UTC


Attachments (Terms of Use)

Description René Genz 2018-03-07 13:50:41 UTC
Description of problem:
git-annex cannot be installed due to missing requirements.

Version-Release number of selected component (if applicable):
git-annex-6.20180112-2.fc28.x86_64

How reproducible:
easy

Steps to Reproduce:
1. execute in terminal:
$ sudo dnf install -y git-annex

Actual results:
Error: 
 Problem: package git-annex-6.20180112-2.fc28.x86_64 requires libHSyesod-static-1.5.3.1-EgmZekhv7mK3kgyDK0penz-ghc8.2.2.so()(64bit), but none of the providers can be installed
  - conflicting requests
  - nothing provides libHSconduit-extra-1.2.3.2-AD9FNLc2O9hIYrgp13yE7m-ghc8.2.2.so()(64bit) needed by ghc-yesod-static-1.5.3.1-3.fc28.x86_64

Expected results:
installation of package

Comment 1 Fedora Update System 2018-03-07 13:56:17 UTC
ghc-codec-rpm-0.2.0-5.fc28 ghc-conduit-combinators-1.1.2-4.fc28 ghc-conduit-extra-1.2.3.2-4.fc28 ghc-content-store-0.2.0-5.fc28 ghc-cpio-conduit-0.7.0-5.fc28 ghc-tar-conduit-0.1.1-5.fc28 ghc-typed-process-0.2.1.0-4.fc28 ghc-xml-conduit-1.7.0.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8db509d6dc

Comment 2 Fedora Update System 2018-03-08 15:26:34 UTC
ghc-codec-rpm-0.2.0-5.fc28, ghc-conduit-combinators-1.1.2-4.fc28, ghc-conduit-extra-1.2.3.2-4.fc28, ghc-content-store-0.2.0-5.fc28, ghc-cpio-conduit-0.7.0-5.fc28, ghc-tar-conduit-0.1.1-5.fc28, ghc-typed-process-0.2.1.0-4.fc28, ghc-xml-conduit-1.7.0.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8db509d6dc

Comment 3 Fedora Update System 2018-03-12 22:37:33 UTC
ghc-codec-rpm-0.2.0-5.fc28, ghc-conduit-combinators-1.1.2-4.fc28, ghc-conduit-extra-1.2.3.2-4.fc28, ghc-content-store-0.2.0-5.fc28, ghc-cpio-conduit-0.7.0-5.fc28, ghc-tar-conduit-0.1.1-5.fc28, ghc-typed-process-0.2.1.0-4.fc28, ghc-xml-conduit-1.7.0.1-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.